Bug 505839 - Skype causes X Server to shut down
Skype causes X Server to shut down
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 05:24 EDT by Miro Hadzhiev
Modified: 2009-10-14 14:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-14 10:52:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
'var/log/dmesg' file (I do not see anything concerning the skype problem and X server). (41.08 KB, text/plain)
2009-06-16 07:45 EDT, Miro Hadzhiev
no flags Details
"/var/log/Xorg.0.log" file just after the crash of the X Server (45.71 KB, text/plain)
2009-06-16 07:46 EDT, Miro Hadzhiev
no flags Details
"/var/log/Xorg.0.log.old" file just after the crash of the X Server (there is a segmentation fault reported at its end) (47.40 KB, text/plain)
2009-06-16 07:47 EDT, Miro Hadzhiev
no flags Details

  None (edit)
Description Miro Hadzhiev 2009-06-14 05:24:13 EDT
Description of problem:
When I click some new chat window to open from the "History" menu, the X Server is just terminated and restarted right away.

Version-Release number of selected component (if applicable):
Skype 2.0.72

How reproducible:
The bug started to occur after installing the Testing Updates from the Fedora 11 Repo

Steps to Reproduce:
1.Click a chat window to appear in the "History"
2.
3.
  
Actual results:
X Server is restarted.

Expected results:


Additional info:
Comment 1 Matěj Cepl 2009-06-15 11:00:50 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) from the Xorg session which crashes to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Miro Hadzhiev 2009-06-16 07:45:07 EDT
Created attachment 348091 [details]
'var/log/dmesg' file (I do not see anything concerning the skype problem and X server).
Comment 3 Miro Hadzhiev 2009-06-16 07:46:50 EDT
Created attachment 348092 [details]
"/var/log/Xorg.0.log" file just after the crash of the X Server
Comment 4 Miro Hadzhiev 2009-06-16 07:47:53 EDT
Created attachment 348093 [details]
"/var/log/Xorg.0.log.old" file just after the crash of the X Server (there is a segmentation fault reported at its end)
Comment 5 Miro Hadzhiev 2009-06-16 07:53:01 EDT
I don't have any "xorg.conf" in "/etc/X11/" folder. :)

I hope this is helpful.

There is sth else. Today I made a new clean install of Fedora 11 and fullu updated the system (without the Testing Repo). Again there is the same problem. And it's not only when you pick some new message in "History" but also when you click on the "Chat to Contact" icon (which is just beside the "Call Contact" icon in every different contact section in the Contacts).
Comment 6 Matěj Cepl 2009-06-16 07:59:54 EDT
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x7ff296008370]
3: /usr/lib64/xorg/modules/drivers//radeon_drv.so(dri_bo_unreference+0x9) [0x7ff29352dfe9]
4: /usr/lib64/xorg/modules/drivers//radeon_drv.so(radeon_gem_bufmgr_post_submit+0x4c) [0x7ff29352d62c]
5: /usr/lib64/xorg/modules/drivers//radeon_drv.so(RADEONCSFlushIndirect+0x129) [0x7ff2934b9459]
6: /usr/lib64/xorg/modules/drivers//radeon_drv.so(RADEONCPFlushIndirect+0x200) [0x7ff2934b92e0]
7: /usr/lib64/xorg/modules/drivers//radeon_drv.so [0x7ff29350ec7d]
8: /usr/lib64/xorg/modules/drivers//radeon_drv.so [0x7ff29350fb60]
9: /usr/lib64/xorg/modules//libexa.so(exaCopyNtoN+0x7ee) [0x7ff292a60fce]
10: /usr/lib64/xorg/modules//libexa.so(exaComposite+0x916) [0x7ff292a65af6]
11: /usr/bin/Xorg [0x52f0e0]
12: /usr/bin/Xorg [0x52775c]
13: /usr/bin/Xorg(Dispatch+0x384) [0x446ee4]
14: /usr/bin/Xorg(main+0x3b5) [0x42d0d5]
15: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7ff295ff3a2d]
16: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
Please also check the log file at "/var/log/Xorg.0.log" for additional information.
Comment 7 Alexey Kuznetsov 2009-08-03 03:32:51 EDT
exactly same with my Radeon Mobility X1600.
Comment 8 Benjamin Hardill 2009-10-13 20:00:55 EDT
Getting the same on ATI Mobility FireGL V5200 on 32bit with all the latest updates and Skype 2.1.0.47

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812d8eb]
1: /usr/bin/Xorg(xf86SigHandler+0x9e) [0x80c0e0e]
2: [0x865400]
3: /usr/lib/xorg/modules/drivers//radeon_drv.so(dri_bo_unreference+0x13) [0x40e7b3]
4: /usr/lib/xorg/modules/drivers//radeon_drv.so(radeon_gem_bufmgr_post_submit+0x50) [0x40dd30]
5: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSFlushIndirect+0x136) [0x3979b6]
6: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCSReleaseIndirect+0x39) [0x397bb9]
7: /usr/lib/xorg/modules/drivers//radeon_drv.so(RADEONCPReleaseIndirect+0x1d8) [0x39bc58]
8: /usr/lib/xorg/modules/drivers//radeon_drv.so [0x3ac004]
9: /usr/bin/Xorg [0x8174973]
10: /usr/bin/Xorg [0x813e56e]
11: /usr/bin/Xorg(BlockHandler+0x58) [0x808ace8]
12: /usr/bin/Xorg(WaitForSomething+0x10c) [0x812b27c]
13: /usr/bin/Xorg(Dispatch+0x98) [0x8086718]
14: /usr/bin/Xorg(main+0x395) [0x806bbf5]
15: /lib/libc.so.6(__libc_start_main+0xe6) [0x961a66]
16: /usr/bin/Xorg [0x806b0a1]

Fatal server error:
Caught signal 11.  Server aborting
Comment 9 Jérôme Glisse 2009-10-14 07:48:50 EDT
Can you try with fedora 12 ? Lot of change happened in xorg-x11-drv-ati and in kernel for radeon support, i hope this bug is now fixed with the lastest version of this package.
Comment 10 Alexey Kuznetsov 2009-10-14 08:30:04 EDT
for me f12 works fine, i can recommend it for everyday usage. also no skype crashes.
Comment 11 Jérôme Glisse 2009-10-14 10:52:59 EDT
Miro i am closing the bug reopen if you still have this issue with fedora 12.
Comment 12 Miro Hadzhiev 2009-10-14 14:02:30 EDT
ok Jerome, i'll test it this evening with f12 and confirm or reopen the bug. :)

Note You need to log in before you can comment on or make changes to this bug.